RHN Satellite Server Upgrade from 5.1.x to 5.3 failed with 'Could not upgrade database' error

Solution Verified - Updated -

Issue

  • Tried upgrading satellite server from 5.1.1 to 5.3, have followed the upgrade instructions, but got stuck when running:

    [root@xxxxxx sat-server]# ./install.pl --upgrade
    <SNIP>
    ** Database: Upgrading the database server to latest Oracle 10g:
    ** Database: This is a long process that is logged in:
    ** Database: /var/log/rhn/upgrade_db.log
    *** Progress: #
    Could not upgrade database.
    -----------------------------------
    
  • Looking at the /var/log/rhn/upgrade_db.log it shows:

    SQL> ORA-32004: obsolete and/or deprecated parameter(s) specified
    ORA-00401: the value for parameter compatible is not supported by this release
    

Environment

  • Red Hat Network Satellite 5.1.1
  • Embedded Oracle Database

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In